#
# spec file for package txt2man
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           txt2man
Version:        1.5.6
Release:        5.1
Summary:        Convert Flat ASCII Text to man Page Format
License:        GPL-2.0+
Group:          Development/Tools/Doc Generators
Url:            http://mvertes.free.fr/
Source0:        http://mvertes.free.fr/download/%{name}-%{version}.tar.gz
Requires:       gawk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Txt2man converts flat ASCII text to man page format. It is a shell
script using gnu awk, that should run on any Unix like system.

%prep
%setup -q

%build

%install
install -Dm 0755 bookman %{buildroot}%{_bindir}/bookman
install -Dm 0755 src2man %{buildroot}%{_bindir}/src2man
install -Dm 0755 txt2man %{buildroot}%{_bindir}/txt2man
install -Dm 0644 bookman.1 %{buildroot}%{_mandir}/man1/bookman.1
install -Dm 0644 src2man.1 %{buildroot}%{_mandir}/man1/src2man.1
install -Dm 0644 txt2man.1 %{buildroot}%{_mandir}/man1/txt2man.1

%files
%defattr(-,root,root,-)
%doc COPYING Changelog README
%{_bindir}/bookman
%{_bindir}/src2man
%{_bindir}/txt2man
%{_mandir}/man1/bookman.1.*
%{_mandir}/man1/src2man.1.*
%{_mandir}/man1/txt2man.1.*

%changelog
* Fri Jul 31 2015 mpluskal@suse.com
- Cleanup spec file
* Mon Mar 25 2013 asterios.dramis@gmail.com
- Initial rpm release (version 1.5.6).
